package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 实验室布局对象 lab_subject_layout
 *
 * @author zd
 * @date 2021-09-23
 */
@ApiModel("实验室布局")
public class LabSubjectLayout extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    @Deprecated
    private Long subjectId;
    /**
     * 房间编号
     */
    @Excel(name = "房间编号")
    @ApiModelProperty(value = "房间编号")
    private String room;
    /**
     * 楼层标识
     */
    @Excel(name = "楼层标识")
    @ApiModelProperty(value = "楼层标识")
    private Long floorId;
    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /**
     * 部门id
     */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /**
     * 创建人（用于数据权限）
     */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;
    /**
     * 实验室布局宽度
     */
    @Excel(name = "实验室布局宽度")
    @ApiModelProperty(value = "实验室布局宽度")
    private String layWidth;
    /**
     * 实验室布局高度
     */
    @Excel(name = "实验室布局高度")
    @ApiModelProperty(value = "实验室布局高度")
    private String layHeight;
    /**
     * 实验室顺序（严格按照图标一次从左到右）
     */
    @Excel(name = "实验室顺序", readConverterExp = "严=格按照图标一次从左到右")
    @ApiModelProperty(value = "实验室顺序")
    private Long layOrder;
    /**
     * 是否是实验室(1是，0是否)
     */
    @Excel(name = "是否是实验室(1是，0是否)")
    @ApiModelProperty(value = "是否是实验室(1是，0是否)")
    private Integer isSubject;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getRoom() {
        return room;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setLayWidth(String layWidth) {
        this.layWidth = layWidth;
    }

    public String getLayWidth() {
        return layWidth;
    }

    public void setLayHeight(String layHeight) {
        this.layHeight = layHeight;
    }

    public String getLayHeight() {
        return layHeight;
    }

    public void setLayOrder(Long layOrder) {
        this.layOrder = layOrder;
    }

    public Long getLayOrder() {
        return layOrder;
    }

    public void setIsSubject(Integer isSubject) {
        this.isSubject = isSubject;
    }

    public Integer getIsSubject() {
        return isSubject;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("subjectId", getSubjectId())
                .append("room", getRoom())
                .append("floorId", getFloorId())
                .append("deptName", getDeptName())
                .append("deptId", getDeptId())
                .append("createTime", getCreateTime())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("layWidth", getLayWidth())
                .append("layHeight", getLayHeight())
                .append("layOrder", getLayOrder())
                .append("isSubject", getIsSubject())
                .append("remark", getRemark())
                .toString();
    }
}
